Bug 1771720 - When collecting logs with unconfigured redhat-support tool, it says the collection is successful in the UI
Summary: When collecting logs with unconfigured redhat-support tool, it says the colle...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.12
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.13
Assignee: drew uhlmann
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1767512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 20:19 UTC by Satoe Imaishi
Modified: 2019-12-03 06:55 UTC (History)
4 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1767512
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:50 UTC

Comment 2 CFME Bot 2019-11-12 20:45:58 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/d54c638dc90a84448d6d1238dc2a88d69e39aca8
commit d54c638dc90a84448d6d1238dc2a88d69e39aca8
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Nov 11 13:50:16 2019 -0500
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Mon Nov 11 13:50:16 2019 -0500

    Merge pull request #19480 from d-m-u/adding_task_error_status_to_log_management

    Adding task error status to log management

    (cherry picked from commit f67305c08e26a7be85a481d24cacb87b7fae625b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1771720

 app/models/miq_server/log_management.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Angelina Nikiforova 2019-11-21 09:04:11 UTC
Fixed and verified in 5.10.13.0.20191119151058_31d9a94.

When the tool is not configured, there's no successful message in the UI. Instead, the following error is shown:

Error 'redhat-support-tool addattachment /var/www/miq/vmdb/data/user/system/models.zip --case 02508570 error was: Please enter your RHN user ID: failed. ERROR: The RHN user ID cannot be empty. ', uploading to Support site, Username: []

Comment 5 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047


Note You need to log in before you can comment on or make changes to this bug.